- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Properties

# QPluginLoader Class Reference

Search for all occurrences

## Detailed Description

Definition at line 62 of file qpluginloader.h.

`#include <qpluginloader.h>`

Inheritance diagram for QPluginLoader:
[legend]

List of all members.

## Public Member Functions
| QPluginLoader (QObject *parent=0)
| QPluginLoader (const QString &fileName, QObject *parent=0)
| ~QPluginLoader ()
QObject * | instance ()
bool | load ()
bool | unload ()
bool | isLoaded () const
void | setFileName (const QString &fileName)
QString | fileName () const
QString | errorString () const
void | setLoadHints (QLibrary::LoadHints loadHints)
QLibrary::LoadHints | loadHints () const
## Static Public Member Functions
static QObjectList | staticInstances ()
## Properties
QString | fileName
QLibrary::LoadHints | loadHints

## Constructor & Destructor Documentation

QPluginLoader | ( | QObject * | parent = `0` | ) | `[explicit]`

QPluginLoader | ( | const QString & | fileName,
|  | QObject * | parent = `0`
| ) |  | `[explicit]`

~QPluginLoader | ( |  | ) |

## Member Function Documentation

QObject* instance | ( |  | ) |

Search for all occurrences

static QObjectList staticInstances | ( |  | ) | `[static]`

Search for all occurrences

bool load | ( |  | ) |

Search for all occurrences

bool unload | ( |  | ) |

Search for all occurrences

bool isLoaded | ( |  | ) | const

Search for all occurrences

void setFileName | ( | const QString & | fileName | ) |

Search for all occurrences

QString fileName | ( |  | ) | const

Search for all occurrences

QString errorString | ( |  | ) | const

Search for all occurrences

void setLoadHints | ( | QLibrary::LoadHints | loadHints | ) |

Search for all occurrences

QLibrary::LoadHints loadHints | ( |  | ) | const

Search for all occurrences

## Property Documentation

QString fileName `[read, write]`

Search for all occurrences

Definition at line 65 of file qpluginloader.h.

QLibrary::LoadHints loadHints `[read, write]`

Search for all occurrences

Definition at line 66 of file qpluginloader.h.

The documentation for this class was generated from the following file:

- QtCore/qpluginloader.h

QPluginLoader QPluginLoader QPluginLoader QPluginLoader QPluginLoader QPluginLoader QPluginLoader QPluginLoader QPluginLoader QPluginLoader
QPluginLoader QPluginLoader QPluginLoader QPluginLoader QPluginLoader QPluginLoader QPluginLoader QPluginLoader QPluginLoader QPluginLoader